@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
* {
    box-sizing: border-box;
}

body {
    background-color: #000;
    font-family: 'Roboto', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin: 0;
}

button {
    background-color: purple;
    color: #fff;
    border: 1px purple solid;
    font-size: 0.8em;
    text-transform: uppercase;
    letter-spacing: 2px;
    padding: 1.25em 1.8em;
    overflow: hidden;
    margin: 0.6em 0;
    position: relative;
}

button:focus {
    outline: none;
}

button .circle {
    position: absolute;
    background-color: #fff;
    width: 6.25em;
    height: 6.25em;
    border-radius: 50%;
    transform: translate(-50%, -50%) scale(0);
    animation: scale 0.5s ease-out;
}

@keyframes scale {
    to {
        transform: translate(-50%, -50%) scale(3);
        opacity: 0;
    }
}